<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!--

IGAC proyecto SNC

@author 		juan.agudelo
@version 		2.0
@description	Cuadro de dialogo con mesnaje de confirmación y acción de confirmación
                que carga el componente fotografico asociado a ofertas inmobiliarias
@cu 			CU-AV-O-01
@param			confirmationMessageParam:	Mensaje de confirmación del dialog
@param			confirmUpdateParam:			Updates respectivos sobre la decisión SI
@param			confirmDialogWVParam:		WV identificador de la ventana para cerrala

-->

<h:form id="confirmationDialogCCForm"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui"
        xmlns:ui="http://java.sun.com/jsf/facelets">
    <h:panelGrid columns="1">

        <p:outputPanel style="text-align: left" layout="block">
            <p:graphicImage value="/images/info-icon.jpg" width="36" height="36" />
            <h:outputText id="confirmationM" value="#{confirmationMessageParam}" />
        </p:outputPanel>

        <p:spacer height="13" width="0" />
        <p:outputPanel style="text-align:left" layout="block">

            <p:spacer height="0" width="40" />
            <p:commandButton value="Si" update="#{confirmUpdateParam}"
                             action="#{registroOfertaInmob.bloquearAEdicionOfertas}" ajax="true"
                             oncomplete="componenteFotosGeneralWV.show();#{confirmDialogWVParam}.hide();"
                             icon="ui-icon-check" />
            <p:spacer width="5" />
            <p:commandButton value="No" onclick="#{confirmDialogWVParam}.hide()"
                             type="button" icon="ui-icon-close" />
        </p:outputPanel>
    </h:panelGrid>
</h:form>
